GO-FIX(1)

NAME
go-fix - update packages to use new APIs

SYNOPSIS
go fix [packages]

DESCRIPTION
Fix runs the Go fix command on the packages named by the import paths.

The -fix flag sets a comma-separated list of fixes to run. The default is all known fixes. (Its value is passed to ‘go tool fix -r’.)

For more about fix, see ‘go doc cmd/fix’.
For more about specifying packages, see go-packages(7).

To run fix with other options, run ‘go tool fix’.

SEE ALSO
go-fmt(1), go-vet(1).

AUTHOR
This manual page was written by Michael Stapelberg <stapelberg@debian.org> and is maintained by the Debian Go Compiler Team <team+go-compiler@tracker.debian.org> based on the output of ‘go help fix’ for the Debian project (and may be used by others).